function [PBDW_psi]=PBDWsol(I)
% 
%--------------------------------------------------------------------------
% part of codes for
% [1]  Joy A, Paul J S. "Multi-channel MR Image Reconstruction using
%      Statistically Optimized Non-Linear Diffusion", Magnetic Resonance in 
%      Medicine, June 2017, doi:10.1002/mrm.26774.
%
% PBDW to be downloaded from http://www.quxiaobo.org/
% [2] "Qu X, Guo D, Ning B, Hou Y, Lin Y, Cai S, and Chen Z. Undersampled
%      MRI reconstruction with patch-based directional wavelets. Magn Reson
%      Imag 2012;30(7):964–977."
%
% Coded by : Ajin Joy on March 2017
%--------------------------------------------------------------------------

p.patchSize     = 8;
p.S             = (p.patchSize).^2/4;
p.Scales        = 3;
p.overlapFactor = 64;
p.row           = size(I,1);
p.column        = size(I,2);
[p.Lut,p.Theta] = compute_geometric_lut_limitedAngle(p.patchSize);
patches_ref     = imToPatch(abs(I),[p.patchSize p.overlapFactor]);
Geo             = Est_Geo(abs(patches_ref),p.Lut,p.S,p.Scales);
PBDW_psi        = PBDW_Fast(Geo,p);